#ifndef DEUR_H
#define DEUR_H

#include <QPaintDevice>
#include <utility>
#include "slot.h"
#include <list>

//class Slot;

using namespace std;

class Deur{
private:
    bool status;
    int x_coordinaat, y_coordinaat;
    unsigned lengte;
    //Slot *slot;
    std::list<Slot*> sloten;
public:
    void open();
    virtual void sluit();
    virtual void teken(QPaintDevice*) = 0;
    bool isDeurOpen();
    unsigned int deurLengte();
    std::pair<int,int> coordinaten() const;
    Deur(int, int, int);
    void addSlot(Slot*);
    //std::list<Slot*> geefSleutel();
    Slot* geefSleutel(int);
    std::list<Slot*> geefSlot();
    //Deur(int, int, int, Slot*);
};

#endif // DEUR_H
