#include "draaideur.h"
#include <QPaintDevice>
#include <QPainter>
#include <QPen>

draaideur::draaideur(int x, int y, int lengte, bool liggend): Deur(x,y,lengte), liggend(liggend){

}

void draaideur::teken(QPaintDevice *tp){
    QPainter p(tp);
    QColor kleur=Qt::black;
    p.setBrush(Qt::SolidPattern);
    p.setBrush(kleur);
    QPen pen(kleur,2,Qt::SolidLine, Qt::RoundCap, Qt::RoundJoin);
    p.setPen(pen);
    if(!isDeurOpen() && !liggend)
        p.drawLine(coordinaten().first, coordinaten().second, coordinaten().first, coordinaten().second - deurLengte());
     else if(!isDeurOpen() && liggend)
        p.drawLine(coordinaten().first, coordinaten().second, coordinaten().first - deurLengte(), coordinaten().second);
     else if(isDeurOpen() && !liggend)
         p.drawLine(coordinaten().first, coordinaten().second, coordinaten().first + deurLengte(), coordinaten().second);
     else if(isDeurOpen() && liggend)
         p.drawLine(coordinaten().first, coordinaten().second, coordinaten().first, coordinaten().second - deurLengte());
}
